/************************************************************
 *  Martin Toepfer     ***     PROJECT : Lingvisto          *
 *  Wissmannstr. 5     ***                                  *
 *  D - 22041 Hamburg  ***     File    : error.c            *
 *  Germany            ***     Date    : 04.04.1997         *
 ************************************************************/ 
#include "error.h"
#include "xawfunction.h"

/************************************************************
 *             these are the error-messages                 *
 ************************************************************/
char *messages[]=
{ 
  "ERROR 0\n\nNo memory free",
  "ERROR 1\n\nList empty -> can't save",
  "ERROR 2\n\nList empty -> can't change",
  "ERROR 3\n\nList empty -> can't search",
  "ERROR 4\n\nList empty -> can't delete",
  "ERROR 5\n\nList empty -> can't do test",
  "ERROR 6\n\nNo LVO-1.0 file",
  "ERROR 7\n\nUnable to open file",
  "ERROR 8\n\nUnable to write into file",
  "ERROR 9\n\nInput too long",
  "ERROR 10\n\nList too short"
};

/************************************************************
 * lvo_error : displays error-message                       *
 *                                                          *
 * error : number of message to display                     *
 ************************************************************/
void lvo_error(unsigned short error) {
  DisplayMessage(messages[error]);
}
